PPL: Parma_Polyhedra_Library::Implementation::Watchdog::Pending_Element< Threshold > Class Template Reference

PPL 1.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Parma_Polyhedra_Library::Implementation::Watchdog::Pending_Element< Threshold > Class Template Reference

A class for pending watchdog events with embedded links. More...

`#include <ppl.hh>`

Inheritance diagram for Parma_Polyhedra_Library::Implementation::Watchdog::Pending_Element< Threshold >:
[legend]

## Public Member Functions
| Pending_Element (const Threshold &deadline, const Handler &handler, bool &expired_flag)
| Constructs an element with the given attributes.
void | assign (const Threshold &deadline, const Handler &handler, bool &expired_flag)
| Modifies `*this` so that it has the given attributes.
const Threshold & | deadline () const
| Returns the deadline of the event.
const Handler & | handler () const
| Returns the handler associated to the event.
bool & | expired_flag () const
| Returns a reference to the "event-expired" flag.
bool | OK () const
| Checks if all the invariants are satisfied.
Public Member Functions inherited from Parma_Polyhedra_Library::Implementation::Doubly_Linked_Object
| Doubly_Linked_Object ()
| Default constructor.
| Doubly_Linked_Object (Doubly_Linked_Object *f, Doubly_Linked_Object *b)
| Creates a chain element with forward link `f` and backward link `b`.
void | insert_before (Doubly_Linked_Object &y)
| Inserts `y` before `*this`.
void | insert_after (Doubly_Linked_Object &y)
| Inserts `y` after `*this`.
Doubly_Linked_Object * | erase ()
| Erases `*this` from the chain and returns a pointer to the next element.
| ~Doubly_Linked_Object ()
| Erases `*this` from the chain.

## Detailed Description

### template<typename Threshold>
class Parma_Polyhedra_Library::Implementation::Watchdog::Pending_Element< Threshold >

A class for pending watchdog events with embedded links.

Each pending watchdog event is characterized by a deadline (a positive time interval), an associated handler that will be invoked upon event expiration, and a Boolean flag that indicates whether the event has already expired or not.

The documentation for this class was generated from the following file:

- ppl.hh